Subject: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Robin Lee Powell <[email-masked]>
Date: Tue, 28 Jan 2003 14:01:18 -0800

On Tue, Jan 28, 2003 at 03:52:46PM -0500, Robert LeChevalier wrote:
> At 12:20 PM 1/28/03 -0800, Robin Lee Powell wrote:
> >Probably better, though, is
> >
> >lu'i .abu boi xi .ibu zo'u .ibu cmima be tau .ibu
> >
> >But there really should be a way to attach some kind of clause to a
> >subscripted letteral, or math is going to be really hard.
> 
> There is

Yay!

> >Another way, and this I actually don't mind much:
> >
> >lu'i .abu boi xi .ibu to .ibu cmima be tau .ibu toi
> >
> >That seems workable in practice.
> 
> I haven't been paying attention but ...
> 
> If I understand what you are trying for, the canonical way (i.e. the
> one I planned for) to express the above is:
> lu'i .abuboi xi veimo'e .ibu poi cmima tau .ibu

Usable, but it implies that .ibu isn't an operand by default, which
seems Very Bad.

> Alternatively, you need an operator for membership:
> lu'i .abuboi xi vei .ibu na'u cmima tau .ibu

That annoys me less. Thanks.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi